## preludedb-error

preludedb-error

## Functions

const char * | preludedb_strerror ()

## Types and Values

enum | preludedb_error_code_t
typedef | preludedb_error_t

## Description

## Functions

### preludedb_strerror ()

    const char *
    preludedb_strerror (preludedb_error_t error);

## Types and Values

### enum preludedb_error_code_t

#### Members

PRELUDEDB_ERROR_NO_ERROR |  |
PRELUDEDB_ERROR_GENERIC |  |
PRELUDEDB_ERROR_INVALID_SETTINGS_STRING |  |
PRELUDEDB_ERROR_CONNECTION |  |
PRELUDEDB_ERROR_QUERY |  |
PRELUDEDB_ERROR_INVALID_COLUMN_NUM |  |
PRELUDEDB_ERROR_INVALID_COLUMN_NAME |  |
PRELUDEDB_ERROR_INVALID_VALUE |  |
PRELUDEDB_ERROR_INVALID_VALUE_TYPE |  |
PRELUDEDB_ERROR_UNKNOWN_SQL_PLUGIN |  |
PRELUDEDB_ERROR_UNKNOWN_FORMAT_PLUGIN |  |
PRELUDEDB_ERROR_ALREADY_IN_TRANSACTION |  |
PRELUDEDB_ERROR_NOT_IN_TRANSACTION |  |
PRELUDEDB_ERROR_INVALID_MESSAGE_IDENT |  |
PRELUDEDB_ERROR_INVALID_SELECTED_OBJECT_STRING |  |
PRELUDEDB_ERROR_INVALID_OBJECT_SELECTION |  |
PRELUDEDB_ERROR_SCHEMA_VERSION_TOO_OLD |  |
PRELUDEDB_ERROR_SCHEMA_VERSION_TOO_RECENT |  |
PRELUDEDB_ERROR_SCHEMA_VERSION_INVALID |  |
PRELUDEDB_ERROR_CANNOT_LOAD_SQL_PLUGIN |  |
PRELUDEDB_ERROR_CANNOT_LOAD_FORMAT_PLUGIN |  |
PRELUDEDB_ERROR_INDEX |  |

### preludedb_error_t

    typedef prelude_error_t preludedb_error_t;